package _VisualDVM.ComponentsServer.Recipient;
import Common.Database.Objects.DBObject;
import _VisualDVM.ComponentsServer.Recipient.Json.UserAccountJson;
public class Recipient extends DBObject {
    public String email = "";
    public String name = "";
    public Recipient() {
    }
    public Recipient(UserAccountJson json) {
        email = json.email;
        name = json.name;
    }
    @Override
    public Object getPK() {
        return email;
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        Recipient src_ = (Recipient) src;
        email = src_.email;
        name = src_.name;
    }
}
